it.csi.mddtools.guigen

## Interface TabSetPanel

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, MultiPanel, org.eclipse.emf.common.notify.Notifier, Panel

      public interface TabSetPanel
      extends MultiPanel

  A representation of the model object 'Tab Set Panel'. Tipo specifico di MultiPanel corredato di componente di controllo a "tab": per passare da un tab all'altro è sufficiente selezionare la "linguetta" corrispondente. Come per tutti i MultiPanel il programmatore avrà nel model le informazioni riguardanti:
  - il tab correntemente visualizzato
  - il tab "target" (quello sulla cui 2linguetta" si è cliccato; questa informazione è disponibile solo all'interno di un EventHandler associato al widget fittizio TabSwitcher)
  .
  Il primo tab è quello visualizzato di default.

  The following features are supported:

  - `Switcher`
  See Also:
    `GuigenPackage.getTabSetPanel()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `TabSwitcher` | `getSwitcher()` Returns the value of the 'Switcher' containment reference
    `void` | `setSwitcher(TabSwitcher value)` Sets the value of the '`Switcher`' containment reference

    - ### Methods inherited from interface it.csi.mddtools.guigen.MultiPanel

      `getPanels`

    - ### Methods inherited from interface it.csi.mddtools.guigen.Panel

      `getLabel, getLayout, getLayoutSpec, getName, isScrollable, setLabel, setLayout, setLayoutSpec, setName, setScrollable`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getSwitcher

          TabSwitcher getSwitcher()

      Returns the value of the 'Switcher' containment reference.

      If the meaning of the 'Switcher' containment reference isn't clear, there really should be more of a description here...

      Il TabSwitcher è un widget fittizio che, se inserito, permette di effettuar eil post dei dati e l'esecuzione di logica a fronte dell'evento di selezione (click) delle "linguette".
      Returns:
        the value of the 'Switcher' containment reference.
      See Also:
        `setSwitcher(TabSwitcher)`, `GuigenPackage.getTabSetPanel_Switcher()`

    - #### setSwitcher

          void setSwitcher(TabSwitcher value)

      Sets the value of the '`Switcher`' containment reference.
      Parameters:
        `value` - the new value of the 'Switcher' containment reference.
      See Also:
        `getSwitcher()`